Subject: [Sigtran] ASP Identifier handling in double exchange IPSP-IPSP scenarios

From: ankur arora <[email-masked]>
Date: Tue, 14 Aug 2007 07:41:07 -0700 (PDT)

Hi Brian,
   
  As per RFC 4666 Section 5.6.2
 
"   In this approach, only one single exchange of ASP Up message can be
   considered sufficient since the response by the other peer can be
   considered a notice that it is in ASP_UP state"
 
So, single exchange is sufficient but ASP UP would come from both sides also.   
 
Also as per RFC 4666:-
   "The optional ASP Identifier parameter is specifically useful for IPSP
   communication.  In that case, the IPSP answering the ASP UP message
   MAY include its own ASP Identifier value."
   
  One of two cases should be possible 
   
  Case 1:-  Consider double exchange Mode ( with single exchange of ASPUP/ASPUP-ACK) message.
 
IPSP1 side                                                                                IPSP2 side
   
                          ------   ASPUP (N/w ASP id, say  X)---------->   Store X as Nw_asp_id
 
Store Y as Nw_asp_id  <------- ASPUP- ACK (N/w ASP id, say  Y)--------
   
  Case 2:- Consider double exchange Mode ( with double exchange of ASPUP/ASPUP-ACK) message.
   
  IPSP1 side                                                                                IPSP2 side
   
                          ------   ASPUP (N/w ASP id, say  X)---------->   Store X as Nw_asp_id
 
Store Y as Nw_asp_id  <------- ASPUP- ACK (N/w ASP id, say  Y)--------
  
?                      <------------- ASPUP (N/w ASP id, say  Z)----------------
 
then what will be the handling at IPSP1 side.
  a)  Replace Y by Z as new nw_asp_id  <--------- ASPUP (N/w ASP id, say  Z)--------
  b) Any ERROR message
  
Please suggest!!!!
  Regards
Ankur Arora

---------------------------------
Luggage? GPS? Comic books? 
Check out fitting  gifts for grads at Yahoo! Search.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 14 Aug 2007 14:20:23 -0600

ankur,

My suggestion is use SE mode instead of DE mode.  IMO DE is broken by design.

--brian

ankur arora wrote:                                   (Tue, 14 Aug 2007 07:41:07)
>    IPSP1 side
>                        IPSP2 side
>    IPSP1 side
>                        IPSP2 side
>      _________________________________________________________________
> 
>    Check out fitting [1]gifts for grads at Yahoo! Search.
> 
> References
> 
>    1. http://us.rd.yahoo.com/evt=48249/*http://search.yahoo.com/search?fr=oni_on_mail&p=graduation+gifts&cs=bz

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/